#include <cstdio>



int main()
{
    int N,X;
    long long int K;
    scanf("%d %lld %d",&N,&K,&X);
    if(K==3)
    {
        if(N-4>X-3)
        {
            printf("-1");
            return 0;
        }
        else
        {
            printf("%d %d %d %d",1,X+1,X+1,X+1);
            for(int i=0;i<N-4;i++)
                printf(" %d",4);
        }
    }
    return 0;
}